{% load custom_tags %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link
      rel="stylesheet"
      href="https://acella-images.s3.us-west-2.amazonaws.com/media/QuillEditorCss.css"
      type="text/css"
    />
    <title>LookingPoint Inc.</title>
  </head>
  <style>
    body {
      font-family: sans-serif;
      margin: 0 3rem 4rem;
    }

    header {
      display: flex;
      align-items: center;
      justify-content: flex-end;
      font-size: 1.3rem;
      margin-top: -4px;
    }

    section {
      page-break-inside: avoid;
      margin-top: 3rem;
    }

    .table-container {
      display: flex;
      flex-direction: column;
    }

    .table-heading {
      margin: 0.5rem 0 0.75rem 0;
      font-size: 1.4rem;
      align-self: center;
    }

    .table-heading-row {
      background-color: #fff !important;
      border-bottom: 1px solid #bed7ed !important;
    }

    .table-heading-cell:first-child {
      align-items: center !important;
    }

    .table-heading-cell {
      border: none !important;
      text-align: center;
      font-weight: bold;
    }

    .table-row {
      display: grid;
      grid-gap: 0px;
    }

    .bold-text {
      font-weight: bold !important;
    }

    .table-cell {
      border: 1px solid #bed7ed;
      border-top: 0;
      border-left: 0;
      padding: 5px;
      min-height: 1.5rem;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      gap: 3px;
    }

    .table-cell:first-child {
      align-items: flex-end;
      border: none;
      border-right: 1px solid #bed7ed;
      background-color: #fff;
      padding-right: 10px;
    }

    .table-row:nth-child(odd) {
      background-color: #f2faff;
    }

    h1 {
      font-size: 2rem;
      text-align: center;
      margin: 0;
    }

    h2 {
      font-size: 1.5rem;
      text-align: center;
      font-weight: lighter;
      margin: 1.5rem 0;
    }

    h3 {
      font-size: 1.2rem;
      margin: 0;
    }

    .contact-section {
      display: flex;
      justify-content: space-evenly;
    }

    .contact-section h4 {
      font-size: 1.1rem;
      margin: 0 0 10px;
    }

    .contact-column {
      display: flex;
      flex-direction: column;
      gap: 5px;
      align-items: center;
    }

    .products,
    .summary {
      display: flex;
      flex-direction: column;
      gap: 1.5rem;
      margin: 2rem auto 0;
      width: 90%;
    }

    .products .table-row {
      grid-template-columns: 2fr 1fr 0.5fr 1fr 1fr 1fr;
    }

    .summary .table-row {
      grid-template-columns: 1fr 1fr 1fr 1fr 0.5fr;
    }

    .notes {
      margin: 2rem auto 0;
      width: 90%;
    }

    .pax8-table-container {
        display: flex;
        flex-direction: column;
    }

    .pax8-table-heading {
        margin: 0.5rem 0 0.75rem 0;
        font-size: 1.2rem;
        align-self: center;
    }

    .pax8-table-heading-row {
        padding: 3px 0;
        background-color: #fff !important;
        border: 1px solid #bed7ed !important;
    }

    .pax8-table-heading-cell {
        border: none !important;
        text-align: center;
        font-weight: bold;
    }

    .pax8-table-row {
        display: grid;
        grid-gap: 0px;
    }

    .bold-text {
        font-weight: bold !important;
    }

    .pax8-table-cell {
        border: 1px solid #bed7ed;
        border-top: 0;
        border-left: 0;
        padding: 5px;
        min-height: 1rem;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 3px;
    }

    .pax8-table-cell:first-child {
        border-left: 1px solid #bed7ed;
        align-items: center;
    }

    .pax8-table-row:nth-child(odd) {
        background-color: #f2faff;
    }

    .pax8-header {
        border: 1px solid #bed7ed;
        font-size: 1.2rem;
        margin: 0;
        text-align: center;
        background: #deeaf6;
        padding: 5px 0;
    }

    .main-table {
        display: flex;
        flex-direction: column;
        margin: 0 auto 2.5rem;
        width: 90%;
    }

    .main-table .pax8-table-row {
        grid-template-columns: 1.5fr 1fr 1fr 1fr 0.5fr;
    }
  </style>

  <body>
    <header>
      <div>{{ current_date }}</div>
    </header>
    <main class="service-cost-body">
      <h1>Service Detail</h1>
      <h2>{{ quote_name }}</h2>
      <section class="contact-section">
        <div class="contact-column">
          <h4>Customer Contact</h4>
          <h4>{{ customer_details.customer_name }}</h4>
          <div>{{ customer_details.contact_name }}</div>
          <div>{{ customer_details.phone_number }}</div>
        </div>
        <div class="contact-column">
          <h4>Internal Contacts</h4>
          <div>{{ internal_contacts.territory_manager_name }}</div>
          <div>{{ internal_contacts.agreement_author_name }}</div>
        </div>
      </section>
        {% if products_summary %}
            <h2 style="font-size: 1.4rem;text-align: center;font-weight: bold; margin: 1.5rem 0 0.75rem 0;">Products</h2>
            <section class="main-table">
                {% for billing_option, billing_option_summary in products_summary.billing_option_summary.items %}
                    <h3 class="pax8-header">{{ billing_option }} Billed Details</h3>
                    <div class="pax8-table-container">
                        <div class="pax8-table-row pax8-table-heading-row">
                            <div class="pax8-table-cell pax8-table-heading-cell">Products</div>
                            <div class="pax8-table-cell pax8-table-heading-cell">{{ billing_term }} Revenue</div>
                            <div class="pax8-table-cell pax8-table-heading-cell">{{ billing_term }} Cost</div>
                            <div class="pax8-table-cell pax8-table-heading-cell">Margin $</div>
                            <div class="pax8-table-cell pax8-table-heading-cell">Margin %</div>
                        </div>
                        {% for product in billing_option_summary.products %}
                            <div class="pax8-table-row">
                                <div class="pax8-table-cell">{{ product.name }}</div>
                                <div class="pax8-table-cell">{{ product.revenue|currency }}</div>
                                <div class="pax8-table-cell">{{ product.cost|currency}}</div>
                                <div class="pax8-table-cell">{{ product.margin|currency }}</div>
                                <div class="pax8-table-cell">{{ product.margin_percent }}</div>
                            </div>
                        {% endfor %}
                        <div class="pax8-table-row bold-text">
                            <div class="pax8-table-cell">Totals:</div>
                            <div class="pax8-table-cell">{{ billing_option_summary.revenue|currency }}</div>
                            <div class="pax8-table-cell">{{ billing_option_summary.cost|currency }}</div>
                            <div class="pax8-table-cell">{{ billing_option_summary.margin|currency }}</div>
                            <div class="pax8-table-cell">{{ billing_option_summary.margin_percent }}</div>
                        </div>
                    </div>
                {% endfor %}
            </section>
            <section class="main-table">
                <h3 class="pax8-header">Annual Projected Subscription Value</h3>
                <div class="pax8-table-container">
                    <div class="pax8-table-row pax8-table-heading-row">
                        <div class="pax8-table-cell pax8-table-heading-cell">Products</div>
                        <div class="pax8-table-cell pax8-table-heading-cell">Revenue</div>
                        <div class="pax8-table-cell pax8-table-heading-cell">Cost</div>
                        <div class="pax8-table-cell pax8-table-heading-cell">Margin $</div>
                        <div class="pax8-table-cell pax8-table-heading-cell">Margin %</div>
                    </div>
                    {% for product in products_summary.annual_summary_line_items %}
                        <div class="pax8-table-row">
                            <div class="pax8-table-cell">{{ product.billing_option }} {{ product.name }}</div>
                            <div class="pax8-table-cell">{{ product.annual_revenue|currency }}</div>
                            <div class="pax8-table-cell">{{ product.annual_cost|currency}}</div>
                            <div class="pax8-table-cell">{{ product.annual_margin|currency }}</div>
                            <div class="pax8-table-cell">{{ product.annual_margin_percent }}</div>
                        </div>
                    {% endfor %}
                    <div class="pax8-table-row bold-text">
                        <div class="pax8-table-cell">Totals:</div>
                        <div class="pax8-table-cell">{{ products_summary.annual_summary.total_annual_revenue|currency }}</div>
                        <div class="pax8-table-cell">{{ products_summary.annual_summary.total_annual_cost|currency }}</div>
                        <div class="pax8-table-cell">{{ products_summary.annual_summary.total_annual_margin|currency }}</div>
                        <div class="pax8-table-cell">{{ products_summary.annual_summary.annual_margin_percent }}</div>
                    </div>
                </div>
            </section>
        {% endif %}
        {% if pax8_products_summary %}
            <h2 style="font-size: 1.4rem;text-align: center;font-weight: bold; margin: 1.5rem 0 0.75rem 0;">PAX8 Products</h2>
            <section class="main-table">
                {% for billing_term, billing_term_summary in pax8_products_summary.vendor_summary_by_billing_term.items %}
                    <h3 class="pax8-header">{{ billing_term }} Billed Details</h3>
                    <div class="pax8-table-container">
                        <div class="pax8-table-row pax8-table-heading-row">
                            <div class="pax8-table-cell pax8-table-heading-cell">Vendor</div>
                            <div class="pax8-table-cell pax8-table-heading-cell">{{ billing_term }} Revenue</div>
                            <div class="pax8-table-cell pax8-table-heading-cell">{{ billing_term }} Cost</div>
                            <div class="pax8-table-cell pax8-table-heading-cell">Margin $</div>
                            <div class="pax8-table-cell pax8-table-heading-cell">Margin %</div>
                        </div>
                        {% for vendor in billing_term_summary.vendors %}
                            <div class="pax8-table-row">
                                <div class="pax8-table-cell">{{ vendor.vendor_name }}</div>
                                <div class="pax8-table-cell">{{ vendor.revenue|currency }}</div>
                                <div class="pax8-table-cell">{{ vendor.cost|currency}}</div>
                                <div class="pax8-table-cell">{{ vendor.margin|currency }}</div>
                                <div class="pax8-table-cell">{{ vendor.margin_percent }}</div>
                            </div>
                        {% endfor %}
                        <div class="pax8-table-row bold-text">
                            <div class="pax8-table-cell">Totals:</div>
                            <div class="pax8-table-cell">{{ billing_term_summary.total_revenue|currency }}</div>
                            <div class="pax8-table-cell">{{ billing_term_summary.total_cost|currency }}</div>
                            <div class="pax8-table-cell">{{ billing_term_summary.total_margin|currency }}</div>
                            <div class="pax8-table-cell">{{ billing_term_summary.total_margin_percent }}</div>
                        </div>
                    </div>
                {% endfor %}
            </section>
            <section class="main-table">
                <h3 class="pax8-header">Annual Projected Subscription Value</h3>
                <div class="pax8-table-container">
                    <div class="pax8-table-row pax8-table-heading-row">
                        <div class="pax8-table-cell pax8-table-heading-cell">Vendor</div>
                        <div class="pax8-table-cell pax8-table-heading-cell">Revenue</div>
                        <div class="pax8-table-cell pax8-table-heading-cell">Cost</div>
                        <div class="pax8-table-cell pax8-table-heading-cell">Margin $</div>
                        <div class="pax8-table-cell pax8-table-heading-cell">Margin %</div>
                    </div>
                    {% for vendor in pax8_products_summary.annual_summary_line_items %}
                        <div class="pax8-table-row">
                            <div class="pax8-table-cell">{{ vendor.billing_term }} {{ vendor.vendor_name }}</div>
                            <div class="pax8-table-cell">{{ vendor.annual_revenue|currency }}</div>
                            <div class="pax8-table-cell">{{ vendor.annual_cost|currency}}</div>
                            <div class="pax8-table-cell">{{ vendor.annual_margin|currency }}</div>
                            <div class="pax8-table-cell">{{ vendor.annual_margin_percent }}</div>
                        </div>
                    {% endfor %}
                    <div class="pax8-table-row bold-text">
                        <div class="pax8-table-cell">Totals:</div>
                        <div class="pax8-table-cell">{{ pax8_products_summary.annual_summary.total_annual_revenue|currency }}</div>
                        <div class="pax8-table-cell">{{ pax8_products_summary.annual_summary.total_annual_cost|currency }}</div>
                        <div class="pax8-table-cell">{{ pax8_products_summary.annual_summary.total_annual_margin|currency }}</div>
                        <div class="pax8-table-cell">{{ pax8_products_summary.annual_summary.annual_margin_percent }}</div>
                    </div>
                </div>
            </section>
        {% endif %}
      <section class="summary">
        <h3>Financial Summary</h3>
        <div class="table-container">
          <div class="table-row table-heading-row">
            <div class="table-cell table-heading-cell"></div>
            <div class="table-cell table-heading-cell">Revenue</div>
            <div class="table-cell table-heading-cell">Cost</div>
            <div class="table-cell table-heading-cell">Margin</div>
            <div class="table-cell table-heading-cell">GP%</div>
          </div>
          {% if products_summary %}
              <div class="table-row">
                <div class="table-cell">Products</div>
                <div class="table-cell">{{ products_summary.annual_summary.total_annual_revenue|currency }}</div>
                <div class="table-cell">{{ products_summary.annual_summary.total_annual_cost|currency }}</div>
                <div class="table-cell">{{ products_summary.annual_summary.total_annual_margin|currency }}</div>
                <div class="table-cell">{{ products_summary.annual_summary.annual_margin_percent }}</div>
              </div>
          {% endif %}
          {% if pax8_products_summary %}
              <div class="table-row">
                <div class="table-cell">PAX8 Products</div>
                <div class="table-cell">{{ pax8_products_summary.annual_summary.total_annual_revenue|currency }}</div>
                <div class="table-cell">{{ pax8_products_summary.annual_summary.total_annual_cost|currency }}</div>
                <div class="table-cell">{{ pax8_products_summary.annual_summary.total_annual_margin|currency }}</div>
                <div class="table-cell">{{ pax8_products_summary.annual_summary.annual_margin_percent }}</div>
              </div>
          {% endif %}
          <div class="table-row">
            <div class="table-cell"></div>
            <div class="table-cell"></div>
            <div class="table-cell"></div>
            <div class="table-cell"></div>
            <div class="table-cell"></div>
          </div>
          <div class="table-row bold-text">
            <div class="table-cell">Totals:</div>
            <div class="table-cell">{{ financial_summary.agreement_revenue|currency }}</div>
            <div class="table-cell">{{ financial_summary.agreement_cost|currency }}</div>
            <div class="table-cell">{{ financial_summary.agreement_margin|currency }}</div>
            <div class="table-cell">{{ financial_summary.agreement_margin_percent }}</div>
          </div>
        </div>
      </section>
    </main>
  </body>
</html>
